Bug 6661 - Section editor's delete edit assignment link leads to 404
Section editor's delete edit assignment link leads to 404
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.5
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-26 10:15 PDT by Matthew Crider
Modified: 2011-06-07 13:37 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against pre-OJS 2.3.5 (2.14 KB, patch)
2011-05-31 12:28 PDT, Michael Felczak
Details | Diff
Patch against OCS stable 2.3 (1.88 KB, patch)
2011-06-07 13:25 PDT, Mike Kamermans
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Crider 2011-05-26 10:15:22 PDT
When logged in as a section editor and when deleting an edit assignment from a submission, clicking the delete link leads to a 404 (/index.php/journal/sectionEditor/deleteEditAssignment/1)
Comment 1 Michael Felczak 2011-05-30 23:50:19 PDT
The 404 will apply to the following operations:
- 'setEditorFlags'
- 'deleteEditAssignment'
- 'assignEditor'
- 'deleteSubmission'

Alec, can you please confirm whether the Section Editor should even have access to these operations (i.e. links shouldn't even be displayed)?
Comment 2 Alec Smecher 2011-05-31 09:04:03 PDT
Michael, Section Editors shouldn't see those actions -- they should only be visible for full Editors.
Comment 3 Michael Felczak 2011-05-31 12:27:23 PDT
Thanks, Alec.
Comment 4 Michael Felczak 2011-05-31 12:27:30 PDT
This bug only applies when user is both an Editor and Section Editor.
Comment 5 Michael Felczak 2011-05-31 12:28:05 PDT
Created attachment 3527 [details]
Patch against pre-OJS 2.3.5
Comment 7 Alec Smecher 2011-06-03 07:47:48 PDT
This still needs porting to OCS (for directors / track directors).
Comment 8 Mike Kamermans 2011-06-07 13:25:23 PDT
Created attachment 3544 [details]
Patch against OCS stable 2.3

Patches the templates/trackDirector/submission/directors.tpl file in similar fashion, ensuring command handling as "director" (this template only has assignDirector and deleteEditAssignment)
Comment 9 Alec Smecher 2011-06-07 13:37:00 PDT
Committed to ocs-stable-2_3 and ocs master.